# tbb::flow::interface6::queue_node< T, A > Class Template Reference

Forwards messages in FIFO order. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::queue_node< T, A >:

List of all members.

## Public Types

typedef T | input_type
| The input type of this receiver.
typedef T | output_type
| The output type of this sender.
typedef sender< input_type > | predecessor_type
| The predecessor type for this node.
typedef receiver< output_type > | successor_type
| The successor type for this node.

## Public Member Functions

| queue_node (graph &g)
| Constructor.
| queue_node (const queue_node &src)
| Copy constructor.

## Protected Types

enum | op_stat { WAIT = 0, SUCCEEDED, FAILED }
typedef buffer_node< T, A > ::size_type | size_type
typedef buffer_node< T, A > ::buffer_operation | queue_operation

## Protected Member Functions

void | internal_forward_task (queue_operation *op)
| Tries to forward valid items to successors.
void | internal_pop (queue_operation *op)
void | internal_reserve (queue_operation *op)
void | internal_consume (queue_operation *op)

## Detailed Description

### template<typename T, typename A = cache_aligned_allocator<T>>
class tbb::flow::interface6::queue_node< T, A >

Forwards messages in FIFO order.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.